Shiba87

[Work in Progress] GNU/Linux Vagos 5.4 "The New Blue Penguin" [x86_64][Esp]

108 posts en este tema

Sigue siendo un "merder", con un safe-upgrade me sale esto:

Resolviendo las dependencias...                  
Unable to resolve dependencies for the upgrade: no solution found.
Incapaz de resolver las dependencias, intente la ejecución con «--full-resolver».

y el --full-resolver me rompe el sistema, o eso creo.

Compartir este post


Enlace al post
Compartir en otros sitios

Sigue siendo un "merder", con un safe-upgrade me sale esto:

Resolviendo las dependencias...                  
Unable to resolve dependencies for the upgrade: no solution found.
Incapaz de resolver las dependencias, intente la ejecución con «--full-resolver».

y el --full-resolver me rompe el sistema, o eso creo.

yo he tenido una gorda en sid, por culpa de dolphin y sus librearias, vamos algunas librerias, me rompian todo el sistema. actualmente tengo plasma 5.4 pero sin dolphin, no he conseguido resolver las dependencias de ninguna manera, pero creo que es cosa mia, por subir a sid, luego bajar a testing, volver a subir....vamos que tengo que tener un chocho de versiones en mis paquetes que alucinas, asi es que tampoco culpo a debian, soy consciente de la bomba que tengo ahi, esperando a la nueva vagos para darle salida a mi debian "sidtesting".

 

no entiendo ese enlace que pasas shiba, eso quiere decir que ya llega plasma desktop 5.4 a testing? bueno mañana cuando llegue al curro tirare de "dist-upgrade" a ver que se rompe...xD

menudo dia, un lunes??? mejor me espero al final de la jornada para hacer el dist-upgrade...xD que ya me conozco

Compartir este post


Enlace al post
Compartir en otros sitios

Los únicos problemas por ahora y son Calligra, karbon y Krita. Y precisamente por eso han desaparecido momentáneamente de repositorios

De resto no hay ningún drama a la hora de recolver las dependencias. Eso sí, hay librerías de kde4 que desaparecen y otras Qt5 que entran nuevas, que es lo que puede resultar "extraño".

Compartir este post


Enlace al post
Compartir en otros sitios

 

Esperando beta, o alpha... O algo para probar.... xD

6BEBDF5.jpg

 

jijijijiji oido cocina!! xD

oye, en mi debian testing del trabajo tengo el mismo problema de paquetes que en casa, asi que no es problema de debian sid. si hago dist-upgrade me salen esos paquetes. ahora estoy haciendo solo un upgrade, que no me da problemas. pero basicamente, debian me la quiere meter de esta forma:

No se satisfacen las dependencias de los siguientes paquetes: 
libtag1v5-vanilla : Rompe: libtag1-vanilla pero est� instalado 1.9.1-2.1.
libtag1v5 : Entra en conflicto: libtag1c2a pero est� instalado 1.9.1-2.1.
libflac++6v5 : Rompe: libflac++6 pero est� instalado 1.3.1-2.
plasma-widget-ktorrent : Depende: ktorrent (= 4.3.1-2+b1) pero se va a instalar 4.3.1-3.
libxapian22v5 : Entra en conflicto: libxapian22 pero est� instalado 1.2.21-1.
Las acciones siguientes resolver�n estas dependencias

     Eliminar los paquetes siguientes:                      
1)      amarok                                               
2)      amarok-utils                                         
3)      aptitude                                             
4)      k3b                                                  
5)      libk3b6                                              
6)      libk3b6-extracodecs                                  
7)      libtag1-vanilla                                      
8)      libtag1c2a                                           
9)      libxapian22                                          
10)     plasma-widget-ktorrent                               

     Mantener los paquetes siguientes en la versi�n actual:
11)     libflac++6v5 [Sin instalar]                          

     Dejar las siguientes dependencias sin resolver:        
12)     aptitude-common recomienda aptitude                  
13)     amarok-common recomienda amarok (>= 2.8.0-2.1)      

de momento lo voy a dejar pasar, sabiendo que con upgrade no hay problema, y en casa igual, cuando llegue intentare hacer una actualizacion del sistema normal, el caso es que tirando de dependencias el otro dia en el pc d emi casa, desinstale medio sistema, si si, he dicho sistema, no entorno de trabajo ni escritorio....asi es que a ver que me encuentro...xD

pero basicamente esas son las mismas dependencias que me daba en casa, y  por mas que desinstale medio sistema, siempre me cogeaba algo

Compartir este post


Enlace al post
Compartir en otros sitios

Yo no actualizo hasta que no haya tanto lío.  Sin mi Dolphin no me quedo...

no, lo de dolphin me paso en casa, por andar por sid y esas cosas. en el trabajo en testing, tengo mas o menos el mismo problema de versiones con mas o menos los mismos paquetes. ahora mismo solo me a afectado a "aptitude". no puedo instalar aptitude

informatica1@pupitre-debian:~$ sudo apt-get install aptitude
[sudo] password for informatica1: 
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias       
Leyendo la información de estado... Hecho
No se pudieron instalar algunos paquetes. Esto puede significar que
usted pidió una situación imposible o, si está usando la distribución
inestable, que algunos paquetes necesarios aún no se han creado o se
han sacado de «Incoming».
La siguiente información puede ayudar a resolver la situación:

Los siguientes paquetes tienen dependencias incumplidas:
 aptitude : Depende: libxapian22 pero no va a instalarse
E: No se pudieron corregir los problemas, usted ha retenido paquetes rotos.

pero dolphin si funciona, he visto algo de informacion en el foro de solydxk

http://forums.solydxk.com/viewtopic.php?f=78&t=253&start=640

 

ademas, he actualizado plasma-desktop a 5.4, pero sigo sin poder elegir el nuevo lanzador, parece que quedan cosas por actualizarse, y systemsetting aun se mantiene en 5.3.2. no se, hay mucho chocho, porque no lo meteran todo de golpe??? en arch llega, zas, el 28 o el 29 de agosto me llego todo plasma 5.4 entero de golpe, y las kde apps 15.08 perfectas tambien, y en debian y eso que es testing, te meten paquetes de 4.10, 4.12, 4.14, plasma 5.2, 5.3.2 y ahora 5.4.0....madre mia, y me quejaba yo de canonical con sus paquetes....

Editado por Fransis

Compartir este post


Enlace al post
Compartir en otros sitios

En realidad dolphin no me da problemas, ni aptitude, pero el problema es por lo de plasma-desktop y las libs...

 

 

ademas, he actualizado plasma-desktop a 5.4, pero sigo sin poder elegir el nuevo lanzador, parece que quedan cosas por actualizarse, y systemsetting aun se mantiene en 5.3.2. no se, hay mucho chocho, porque no lo meteran todo de golpe??? en arch llega, zas, el 28 o el 29 de agosto me llego todo plasma 5.4 entero de golpe, y las kde apps 15.08 perfectas tambien, y en debian y eso que es testing, te meten paquetes de 4.10, 4.12, 4.14, plasma 5.2, 5.3.2 y ahora 5.4.0....madre mia, y me quejaba yo de canonical con sus paquetes....

 

 

Lo que me gusta de KaOS es que lo hacen así, y prácticamente funciona todo siendo la primera en sacar plasma.  Lo que hace Debian me parece que es ir contra sus propios principios, si no funciona el lote, no saques partes que rompen el todo.

Compartir este post


Enlace al post
Compartir en otros sitios

En realidad dolphin no me da problemas, ni aptitude, pero el problema es por lo de plasma-desktop y las libs...

 

ademas, he actualizado plasma-desktop a 5.4, pero sigo sin poder elegir el nuevo lanzador, parece que quedan cosas por actualizarse, y systemsetting aun se mantiene en 5.3.2. no se, hay mucho chocho, porque no lo meteran todo de golpe??? en arch llega, zas, el 28 o el 29 de agosto me llego todo plasma 5.4 entero de golpe, y las kde apps 15.08 perfectas tambien, y en debian y eso que es testing, te meten paquetes de 4.10, 4.12, 4.14, plasma 5.2, 5.3.2 y ahora 5.4.0....madre mia, y me quejaba yo de canonical con sus paquetes....

 

Lo que me gusta de KaOS es que lo hacen así, y prácticamente funciona todo siendo la primera en sacar plasma. Lo que hace Debian me parece que es ir contra sus propios principios, si no funciona el lote, no saques partes que rompen el todo.

Has probado manjaro netrunner??? Es la mimada de bluesystems

 

Y en debían la verdad es que aunque me cueste admitirlo, kubuntu es impresionante y además están apostando por la "vanilla" y tienes un plasma casi virgen...estoy probando las dailys de la futura "wylli" y la verdad es que es una experiencia plasma única. Luego vuelves al plasma de debían y te da una sensación de insulso e incompleto.... Por lo menos es mi experiencia, esta claro que poner un plasma bonito y funcional en debían, ni aunque baséis la distro en sid...

Pero bueno, no se puede tener todo... o si??

Compartir este post


Enlace al post
Compartir en otros sitios

Es muy sencillo. Cada parte individual tiene que ser revisada a fondo y por separado, cada mantenedor tendrá un conjunto de paquetes a su cargo y cada parte llevará su tiempo dependiendo de la magnitud del código y las dependencias afectadas. COnforme van siendo revisados y corregidos, los paquetes van entrando.

 

Kubuntu sólo tiene que preocuparse de que unúnico entorno funcione, todo lo demás, incluyendo la base, lo toma hecho. Hasta feo estaría que teniendo una única tarea que llevar a cabo, Kde no estuviera al día

Kaos se preocupa en ofrecer "lo justo", su KDE, a su manera y para una única arquitectura, con su estilo y sin mucho paquete adicional. Ese es su objetivo y tampoco tienen que preocuparse de nada más

Arch no se molesta en revisar nada, rolling style, según llegan los paquetes, se meten de golpe y porrazo y punto. Las correcciones ya irán llegando en las siguientes versiones (o no).

 

La comunidad Debian tiene que asegurarse de ofrecer el sistema base, revisar cada paquete, hacer las correcciones pertinentes, todo ello para multitud de entornos diferentes, para más de una decena de arquitecturas y asegurando que cada pieza del rompecabezas es estable y segura. Meter la última versión de Plasma 5 no es precisamente una de sus prioridades. Lo "cutting Edge", nunca ha sido y jamás será algo relacionado con Debian :rolleyes: .

 

En cuanto a Plasma, la transición se está llevando a cabo bastante bien, teniendo en cuenta todo lo que está pasando, la velocidad a la que llegan las versiones y lo ya de por sí complicado del asunto. Y aún así se puede tener plasma 5 funcionando, con librerías y componentes de distintas versiones, pero trabajando sin mayor problema y sí, se puede ir actualizando sin romper nada. Creo que ninguna otra distribución podría manejar algo de tal magnitud de la manera que lo lleva a cabo Debian, revisando todo y montando las piezas de manera individual sin que reventara y se viniera todo abajo.

 

Plasma 5.X llegará, cuando sea el momento en que tenga que llegar. Mientras tanto, queda aún muuuuuuuuuuuuucho código por revisar. Así que insisto:

 

6BEBDF5.jpg

 

:rolleyes:

Compartir este post


Enlace al post
Compartir en otros sitios

A ver, si eso lo entiendo, pero no me cabe en la cabeza que se vayan pasando paquetes que son partes de un todo, y que por separado no funcionan, o pasas todo o no lo pases, porque es como si hayan metido paquetes con errores en testing.  Si por mí, si se hubieran dejado plasma para el año que viene, no me habría importado.

Compartir este post


Enlace al post
Compartir en otros sitios

imagino que ya os abreis dado cuenta, pero yo acabo de volver de una semanita de vacaciones y me lo he ido encontrando en mis sistemas. plasma 5.4.1 funcionando en debian testing! tuve un pequeño "error" de configuracion con el nuevo modulo de audio este "pavucontrol" que sigo sin entender muy bien como funciona, ya que bajo y subo la barra del volumen y pasa de mi, pero bueno, funciona funciona.

 

 

para salir de dudas, antes de escribir este post, instale "aptitude y synaptic" que se me fueron en su dia tras una "forzada actualizacion", y se han instalado sin problemas, parece que ya no hay, o por lo menos en mi sistema, problema de dependencias.

 

simplemente lo comento....no quiero meter prisas, ni mucho menos. respecto a lo que se esta opinando en el hilo de la "Evagos", tal vez otra buena alternativa fuese una distro "E19/Plasma5.4.1"???? aunque imagino que puede ser algo dificil/imposible hacer convivir 2 tecnologias que ya de por si son algo "unicas?" y caprichosas como son QT y EFL.

desde luego E19 es raro, diferente, pero es un gran entorno, bonito y sobretodo muy ligero, pero a mi personalmente no me sirve para mi dia a dia, por mucho que me guste, ya que he sido y soy incapaz de configurar la VPN de cisco para poder trabajar, por eso siempre tendre que seguir tirando de plasma5, que cada dia es mas maduro y mas profesional si cabe.

por eso creo que si fuese factible, podria ser una grandisima distro!

un saludo

Compartir este post


Enlace al post
Compartir en otros sitios

Es "factible", pero hay que tener en cuenta que al tener tanto EFL como Qt conjuntamente, la ventaja de rendimiento y ligereza de EFL se esfuma.
A la inversa no habría mayor problema y poder correr terminology en plasma sería un puntazo pero en ambos casos siempre hay librerías y servicios corriendo ajenos al entorno que utilizamos.

Compartir este post


Enlace al post
Compartir en otros sitios

Por el momento creo que no tengo problemas con programas, aunque creo que no he probado Enlightenment lo suficiente como para saberlo :ermm: Lo de ambos entornos me parece un proyecto muy bueno, pero también me parece mucho trabajo, por eso opino que mejor 1 entorno para concentrar el trabajo.

Compartir este post


Enlace al post
Compartir en otros sitios

De entrada vamos a no hacer caso y a seguir con la 5.4.4. con PLasma 5.4.2. linux 4.2 y alguna sorpresilla más entre tanto 4 :lol:

imagino que quiere decir QT 5.4.2 y plasma 5.4.1, que es lo que ha entrado definitivamente en testing?

 

Por el momento creo que no tengo problemas con programas, aunque creo que no he probado Enlightenment lo suficiente como para saberlo :ermm: Lo de ambos entornos me parece un proyecto muy bueno, pero también me parece mucho trabajo, por eso opino que mejor 1 entorno para concentrar el trabajo.

 

 

en ese caso, opino como tu. aunque plasma 5 como tal, aun es poco maduro, kde es un veterano que sabe hacer las cosas bien, a los hechos me remito. si hay que apostar fuerte por alguien, yo lo haria por el equipo de kde. el escritorio es mucho mas practico y funcional, y las aplicaciones....que voy a decir de esa maravilla de aplicaciones. e19, esta muy bien, pero esta casi como lxqt, verde, verde, al menos a lxqt le puedes hacer funcionar las aplicaciones gtk  sin tediar mucho, pero con efl, la cosa parece que cambia drasticamente.

yo tambien opino que plasma es el mejor, para mi el mejor entorno que tenemos en linux ahora mismo, que digo....el mejor entorno que hay para un pc, en generla, ya sea para trabajar o para casa.

ultimamente le he querido dar una nueva oportunidad a cinnamon que tanto me gustaba, y ahora, cuando estoy fuera de "mi plasma", no me siento comodo. en cuanto llego a un entorno plasma, aunque no sea el mio, tengo esa sensacion como de "estar en casa", que ya no tengo con ningun otro entorno que no sea kde o plasma...

imagino que a cada uno le pasara igual, con su entorno favorito, en mi caso despues de muchos años, a acabado siendo Plasma.

Editado por Fransis

Compartir este post


Enlace al post
Compartir en otros sitios

Registra una cuenta o conéctate para comentar

Debes ser un miembro de la comunidad para dejar un comentario

Crear una cuenta

Regístrate en nuestra comunidad. ¡Es fácil!

Registrar una cuenta nueva

Iniciar Sesión

¿Ya tienes cuenta? Conéctate aquí.

Iniciar Sesión